<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Data binding</title>
</head>
<body>
    <div id="app">
        <h3>{{mensaje}}</h3> <!-- interpolativa -->
        <h3 v-text="mensaje">...</h3> <!-- directiva text -->
        <input type="text" placeholder="texto" v-model="mensaje">
        <hr>
        <a :href="url" target="blanck">Curso</a>
        

    </div>
    
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        /* const data = document.querySelector('input')
        const dataModifile = document.querySelector('input')
        data.addEventListener('keyup',function(){
            dataModifile.innerHTML = data.value
        }) */

        const app = new Vue({
            el:"#app",
            data: {
                mensaje: 'Hola',
                url: "https://www.youtube.com/"

            }
        })
    </script>
</body>
</html>